// waiting.cpp -- použití funkce clock() ve zpožďovací smyčce
#include <iostream>
#include <ctime> // popisuje funkci clock() a typ clock_t
int main()
{
	using namespace std;
	cout << "Zadejte zpozdeni v sekundach: ";
	float secs;
	cin >> secs;
	clock_t delay = secs * CLOCKS_PER_SEC; 	// převede na hodinové takty
	cout << "zacatek\a\n";
	clock_t start = clock();
	while (clock() - start < delay ) 				// čekání do vypršení času
	; 																	// všimněte si středníku
cout << "konec \a\n";

return 0;
}
